Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.choose
Class OtherwiseAlternativeAssembler

    java.lang.Object
      com.servingxml.components.choose.OtherwiseAlternativeAssembler

    public class OtherwiseAlternativeAssembler

extends java.lang.Object

Assembler for assembling a `Alternative`.

See Also:
  `Alternative`

Constructor Summary
`OtherwiseAlternativeAssembler()`

Method Summary
`Alternative` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(Content[] xmlComponents)`
`void` | `injectComponent(MapXmlFactory[] recordMapFactories)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `injectComponent(RecordPipelineAppender[] recordPipelineAppenders)`
`void` | `injectComponent(Task[] tasks)`
`void` | `injectComponent(XsltConfiguration xsltConfiguration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtherwiseAlternativeAssembler

    public OtherwiseAlternativeAssembler()

Method Detail

### injectComponent

    public void injectComponent(XsltConfiguration xsltConfiguration)

### injectComponent

    public void injectComponent(Task[] tasks)

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### injectComponent

    public void injectComponent(Content[] xmlComponents)

### injectComponent

    public void injectComponent(RecordPipelineAppender[] recordPipelineAppenders)

### injectComponent

    public void injectComponent(MapXmlFactory[] recordMapFactories)

### assemble

    public Alternative assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD